"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.percentile = void 0;
const exceptions_1 = require("../exceptions/exceptions");
const utils_1 = require("../utils/utils");
exports.percentile = (list, percent) => {
    if (list.length === 0)
        throw new Error(exceptions_1.Exceptions.ARRAY_EMPTY);
    if (percent < 0 || percent > 100)
        throw new Error(exceptions_1.Exceptions.PERCENT_OUT_OF_RANGE);
    const listSorted = utils_1.sortList(list.slice());
    if (percent === 0)
        return listSorted[0];
    const kIndex = Math.ceil(listSorted.length * (percent / 100)) - 1;
    return listSorted[kIndex];
};
//# sourceMappingURL=percentile.js.map